org.eclipse.rdf4j.federated.evaluation

## Class FederationEvaluationStatistics

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.evaluation.impl.EvaluationStatistics
  - - org.eclipse.rdf4j.federated.evaluation.FederationEvaluationStatistics

-     public class FederationEvaluationStatistics
      extends EvaluationStatistics

  Stateful `EvaluationStatistics` providing information for evaluating a given query in `FederationEvalStrategy.optimize(org.eclipse.rdf4j.query.algebra.TupleExpr, EvaluationStatistics, org.eclipse.rdf4j.query.BindingSet)`

  The statistics are instantiated per query.

  Author:
    Andreas Schwarte

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.rdf4j.query.algebra.evaluation.impl.EvaluationStatistics

      `EvaluationStatistics.CardinalityCalculator`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.algebra.evaluation.impl.EvaluationStatistics

      `cc`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FederationEvaluationStatistics(QueryInfo queryInfo, Dataset dataset)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Dataset` | `getDataset()`
    `QueryInfo` | `getQueryInfo()`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.evaluation.impl.EvaluationStatistics

      `createCardinalityCalculator, getCardinality`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FederationEvaluationStatistics

          public FederationEvaluationStatistics(QueryInfo queryInfo,
                                                Dataset dataset)

  - ### Method Detail

    - #### getQueryInfo

          public QueryInfo getQueryInfo()

    - #### getDataset

          public Dataset getDataset()

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.